# 7b. Exerccios de Regresso Mltipla

####################################

# Uma estimativa da incerteza na previso do modelo

#lendo e arrumando os dados
bebes = read.table("babies.txt", header = T)
which(bebes$bwt == 999)
bebes$gestation[which(bebes$gestation == 999)] = NA
which(bebes$parity == 9)
which(bebes$agr == 99)
bebes$height[which(bebes$height == 99)] = NA
bebes$smoke[which(bebes$smoke == 9)] = NA

bebes$smoke = factor(bebes$smoke)
bebes$parity = factor(bebes$parity)

str(bebes) #agora parece tudo certo

#analisando graficamente os dados
plot(bwt~gestation, data = bebes)
mod = lm(bwt~gestation, data = bebes)
abline(mod, col = "red", lwd = 2)
plot(mod)

#calculando valores a ser utilizados

vary = var(bebes$bwt) #s da formula
seqx = seq(from = min(bebes$gestation, na.rm = T), to = max(bebes$gestation, na.rm = T), length.out = 100)
termo1 = 1/length(bebes$bwt) #1/n da formula

medx = mean(bebes$gestation, na.rm = T) #media de x

SSX = anova(mod)[["Sum Sq"]][2] # soma dos desvios quadrados
termo2 = ((seqx-medx)^2)/SSX # (x-medx)^2/SSX

sey = sqrt(vary*(termo1+termo2)) #calculo final

coef(mod)
previsto = coef(mod)[1] + coef(mod)[2]*seqx

lim.s = previsto + sey*qt(0.975, (length(bebes$bwt)-2))
lim.i = previsto - sey*qt(0.975, (length(bebes$bwt)-2))

plot(sey) #parece seguir o esperado pros erros padres

#construindo o grfico final
plot(bwt~gestation, data = bebes, cex = 0.4, col = "darkgrey")
abline(mod, col = "blue", lwd = 2)
lines(seqx, lim.s, col="lightblue", lwd = 2)
lines(seqx, lim.i, col="lightblue", lwd = 2)

####################################
# Galileu estava Certo?
init.h = c(600, 700, 800, 950, 1100, 1300, 1500)
h.d = c(253, 337, 395, 451, 495, 534, 573)

mod1 = lm(h.d~init.h+I(init.h^2)+I(init.h^3)) #modelo completo
mod2 = lm(h.d~init.h+I(init.h^2)) #modelo simplificado
anova(mod1, mod2) #a diferena entre os modelos  significativa. mod1 explica melhor os dados.

####################################
# Massa de Recm-Nascidos

#criando modelo cheio
#alternativamente pode-se utilizar *, mas como removeremos as interaes uma a uma, optei por escrever todas manualmente.
names(bebes)
mod1 = lm(bwt~gestation*parity*age*height*weight*smoke, data = bebes)

variaveis = c("gestation", "parity", "age", "height", "weight", "smoke")
combn(variaveis, 2, simplify = T)
combn(variaveis, 3, simplify = T)
combn(variaveis, 4, simplify = T)
combn(variaveis, 5, simplify = T)

#modelo sem interaes quintuplas
mod2 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
     #interaes duplas
     gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
     parity:age + parity:height + parity:weight + parity:smoke +
     age:height + age:weight + age:smoke +
     height:weight + height:smoke +
     weight:smoke +
     #interaes triplas 
     gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
     gestation:age:height + gestation:age:weight + gestation:age:smoke + 
     gestation:height:weight + gestation:height:smoke +
     gestation:weight:smoke +
     parity:age:height + parity:age:weight + parity:age:smoke + 
     parity:height:weight + parity:height:smoke + 
     parity:weight:smoke +
     age:height:weight + age:height:smoke +
     age:weight:smoke +
     height:weight:smoke +
     #interaes quadruplas
     gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
     gestation:parity:height:weight + gestation:parity:height:smoke +
     gestation:parity:weight:smoke + 
     gestation:age:height:weight+ gestation:age:height:smoke +
     gestation:age:weight:smoke + gestation:height:weight:smoke +
     parity:age:height:weight + parity:age:height:smoke +
     parity:age:weight:smoke + 
     parity:height:weight:smoke +
     age:height:weight:smoke, data = bebes)

anova(mod1, mod2) #no significativo

#vamos retirando as interaes uma a uma
mod3 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke + gestation:height:weight:smoke +
            parity:age:height:weight + parity:age:height:smoke +
            parity:age:weight:smoke + 
            parity:height:weight:smoke, data = bebes)
anova(mod2, mod3)#no significativo

mod4 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke + gestation:height:weight:smoke +
            parity:age:height:weight + parity:age:height:smoke +
            parity:age:weight:smoke, data = bebes)
anova(mod3, mod4)#no significativo

mod5 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke + gestation:height:weight:smoke +
            parity:age:height:weight + parity:age:height:smoke, data = bebes)
anova(mod4, mod5)#no significativo

mod6 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke + gestation:height:weight:smoke +
            parity:age:height:weight, data = bebes)
anova(mod5, mod6)#no significativo


mod7 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke + gestation:height:weight:smoke, data = bebes)
anova(mod6, mod7)#no significativo

mod8 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke +
            gestation:age:weight:smoke, data = bebes)
anova(mod7, mod8)#no significativo

mod9 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight+ gestation:age:height:smoke, data = bebes)
anova(mod8, mod9)#no significativo

mod10 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
            #interaes duplas
            gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
            parity:age + parity:height + parity:weight + parity:smoke +
            age:height + age:weight + age:smoke +
            height:weight + height:smoke +
            weight:smoke +
            #interaes triplas 
            gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
            gestation:age:height + gestation:age:weight + gestation:age:smoke + 
            gestation:height:weight + gestation:height:smoke +
            gestation:weight:smoke +
            parity:age:height + parity:age:weight + parity:age:smoke + 
            parity:height:weight + parity:height:smoke + 
            parity:weight:smoke +
            age:height:weight + age:height:smoke +
            age:weight:smoke +
            height:weight:smoke +
            #interaes quadruplas
            gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
            gestation:parity:height:weight + gestation:parity:height:smoke +
            gestation:parity:weight:smoke + 
            gestation:age:height:weight, data = bebes)
anova(mod9, mod10)#no significativo

mod11 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
             gestation:parity:height:weight + gestation:parity:height:smoke +
             gestation:parity:weight:smoke, data = bebes)
anova(mod10, mod11)#no significativo

mod12 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
             gestation:parity:height:weight + gestation:parity:height:smoke, data = bebes)
anova(mod11, mod12)#no significativo

mod13 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke + 
             gestation:parity:height:weight, data = bebes)
anova(mod12, mod13)#no significativo

mod14 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height + gestation:parity:age:weight + gestation:parity:age:smoke, data = bebes)
anova(mod13, mod14)#no significativo

mod15 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height + gestation:parity:age:weight, data = bebes)
anova(mod14, mod15)#no significativo

mod16 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke +
             #interaes quadruplas
             gestation:parity:age:height, data = bebes)
anova(mod15, mod16)#no significativo

mod17 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke +
             height:weight:smoke
           , data = bebes)
anova(mod16, mod17)#no significativo

mod18 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke +
             age:weight:smoke
           , data = bebes)
anova(mod17, mod18)#no significativo

mod19 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight + age:height:smoke
           , data = bebes)
anova(mod18, mod19)#no significativo

mod20 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke +
             age:height:weight
           , data = bebes)
anova(mod19, mod20)#no significativo

mod21 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke + 
             parity:weight:smoke
           , data = bebes)
anova(mod20, mod21)#no significativo

mod22 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight + parity:height:smoke
           , data = bebes)
anova(mod21, mod22)#no significativo

mod23 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke + 
             parity:height:weight
           , data = bebes)
anova(mod22, mod23)#no significativo

mod24 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight + parity:age:smoke
           , data = bebes)
anova(mod23, mod24)#no significativo

mod25 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height + parity:age:weight
           , data = bebes)
anova(mod24, mod25)#no significativo


mod26 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke +
             parity:age:height
           , data = bebes)
anova(mod25, mod26)#no significativo

mod27 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke +
             gestation:weight:smoke
           , data = bebes)
anova(mod26, mod27)#no significativo

mod28 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight + gestation:height:smoke
           , data = bebes)
anova(mod27, mod28)#no significativo

mod29 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke + 
             gestation:height:weight
           , data = bebes)
anova(mod28, mod29)#no significativo

mod30 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight + gestation:age:smoke
           , data = bebes)
anova(mod29, mod30)#no significativo

mod31 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height + gestation:age:weight
           , data = bebes)
anova(mod30, mod31)#no significativo

mod32 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke +
             gestation:age:height
           , data = bebes)
anova(mod31, mod32)#no significativo

mod33 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight + gestation:parity:smoke
           , data = bebes)
anova(mod32, mod33)#no significativo

mod34 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height + gestation:parity:weight
           , data = bebes)
anova(mod33, mod34)#no significativo

mod35 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age + gestation:parity:height
           , data = bebes)
anova(mod34, mod35)#no significativo

mod36 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke +
             #interaes triplas 
             gestation:parity:age
           , data = bebes)
anova(mod35, mod36)#no significativo

mod37 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:height + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:height + age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke
           , data = bebes)
anova(mod36, mod37)#no significativo

#finalmente chegamos na parte que importa!
#pra voc que t cansado de ler meu cdigo, acredite, eu to mais.

#vamos ver qual interao dupla  menos significativa
anova(mod37) #comeamos retirando age:heigth


mod39 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight + parity:smoke +
             age:weight + age:smoke +
             height:weight + height:smoke +
             weight:smoke
           , data = bebes)
anova(mod38, mod39)#no significativo
anova(mod39)

mod40 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight +
             age:weight + age:smoke +
             height:weight + height:smoke
           , data = bebes)
anova(mod39, mod40)#no significativo
anova(mod40)

mod41 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:parity + gestation:age + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight +
             age:weight + age:smoke +
             height:smoke
           , data = bebes)
anova(mod40, mod41)#no significativo
anova(mod41)

mod42 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:weight + gestation:smoke +
             parity:age + parity:height + parity:weight +
             age:weight + age:smoke +
             height:smoke
           , data = bebes)
anova(mod41, mod42)#no significativo
anova(mod42)

mod43 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:age + parity:height + parity:weight +
             age:weight + age:smoke +
             height:smoke
           , data = bebes)
anova(mod42, mod43)#no significativo
anova(mod43)

mod44 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:age + parity:height + parity:weight +
             age:smoke +
             height:smoke
           , data = bebes)
anova(mod43, mod44)#no significativo
anova(mod44)

mod45 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:age + parity:height + parity:weight +
             height:smoke
           , data = bebes)
anova(mod44, mod45)#no significativo
anova(mod45)

mod46 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:age + parity:height + 
             height:smoke
           , data = bebes)
anova(mod45, mod46)#no significativo
anova(mod46)

mod47 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:age + parity:height
           , data = bebes)
anova(mod46, mod47)#no significativo
anova(mod47)

mod48 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke +
             parity:height
           , data = bebes)
anova(mod47, mod48)#no significativo
anova(mod48)

mod49 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke
           , data = bebes)
anova(mod48, mod49)#no significativo
anova(mod49)

#aparentemente todas as interaes duplas restantes so significativas. vamos analisa-las mesmo assim.

mod50 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:smoke
           , data = bebes)
anova(mod50, mod49)#significativo - manter interao
anova(mod50)

mod51 = lm(bwt~gestation + parity + age + height + weight + smoke + #interaes simples
             #interaes duplas
             gestation:age
           , data = bebes)
anova(mod51, mod49)#significativo - manter interao
anova(mod51)

mod52 = lm(bwt~gestation + parity + age + height + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke
           , data = bebes)
anova(mod49, mod52)#no significativo
anova(mod52)

mod53 = lm(bwt~gestation + parity + height + smoke + #interaes simples
             #interaes duplas
             gestation:age + gestation:smoke
           , data = bebes)
anova(mod52, mod53)#significativo - manter variavel
anova(mod52)

#mod52  o modelo mnimo.