#Exerccios 8. Reamostragem e Simulao

#########################################

#Exerccio 1.

eutad = read.table("palmadulto.txt", sep = "\t", header = T) #lendo dados

dist=matrix(NA, ncol=102, nrow=102) #criando matriz de NA para guardar resultados

for(i in 1:101) #calcula a distancia de todos vizinhos de cada palmito
{
  for(j in (i+1):102)
  {
    difx2=(eutad$gx[i]-eutad$gx[j])^2
    dify2=(eutad$gy[i]-eutad$gy[j])^2
    dist[i,j]<-sqrt(difx2 + dify2)
    dist[j,i]<-sqrt(difx2 + dify2)
  }
  
}


(nn<-apply(dist, 1, min, na.rm=TRUE)) #acha a distncia minima para cada palmito
(mnn<-mean(nn)) #media da distncia minima

#Simulando
resultado = rep(NA, 1000) #cria vetor de NA para guardar resultado
resultado[1] = mnn #coloca observado na primeira posio do vetor

for(k in 2:1000) #faz 999 simulaes
{
  xsim = runif(102, 0, 320) #sorteia 102 valores de uma distribuio uniforme para x
  ysim = runif(102, 0, 320) #idem pra y
  distsim=matrix(NA, ncol=102, nrow=102)  #cria matriz de NA para guardar resultados
  
  for(i in 1:101) #calcula distncia de cada vizinho
  {
    for(j in (i+1):102)
    {
      difx2sim=(xsim[i]-xsim[j])^2
      dify2sim=(ysim[i]-ysim[j])^2
      distsim[i,j]<-sqrt(difx2sim + dify2sim)
      distsim[j,i]<-sqrt(difx2sim + dify2sim)
    }
  }
  (mins<-apply(distsim, 1, min, na.rm=TRUE)) #distncia minima pra cada palmito
  mediamindist<-mean(mins) #mdia do vizinho mais prximo
  resultado[k] = mediamindist #guarda a mdia no vetor de resultados
}

hist(resultado) #faz histograma dos dados simulados
abline(v = resultado[1], col = "red", lty = 2, lwd = 2) #insere a linha da mdia observada

quantile(resultado, prob=c(0.05, 0.95)) #intervalo de confiana

#Calculo de p
unicaudal = sum(resultado<=resultado[1])/length(resultado) #teste unicaudal
bicaudal = unicaudal*2 #teste bicaudal

#########################################

# Exerccio 2
# Simulando o teste de uma regresso linear

animais = read.table("animais.txt", sep = ";", header = T, dec = ",") #l os dados
plot(log(animais$brain) ~ log(animais$body)) #olhando a distribuio deles
sum(is.na(animais))
animais = na.omit(animais) #omite os NAs de animais

mod = lm(log(animais$brain) ~ log(animais$body)) #cria o modelo linear
summary(mod) #olhando o modelo
coef(mod)[2] #inclinao do modelo

res = rep(NA, 1000) #cria objeto de resultados com NA
res[1] = coef(mod)[2] #atribui inclinao observada a primeira posio de res

for(l in 2:2000) #ciclo de 999 simulaes
{
  sim_brain = sample(animais$brain) #reorganiza brain aleatoriamente
  coef_sim = coef(lm(log(sim_brain)~log(animais$body)))[2] #faz modelo linear com brain bagunado e guarda a inclinao em coef_sim
  res[l] = coef_sim #guarda coeficiente da simulao no vetor de resultados res
}

hist(res) #faz histograma dos resultados simulados
abline(v = res[1], col = "red", lty = 2, lwd = 2) #insere linha vertical na mdia observada 

#calculo de p
unicaudal2 = sum(res>=res[1])/length(res) #teste unicaudal
bicaudal2 = unicaudal2*2 #teste bicaudal
