#Exerccios 4 - Analises Explotatrias

##############################

#4.2 Cervejas
#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")

#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
barplot(table(cervejas), main = "Tipos de Cerveja consumidas", ylim = c(0, 15))
dotchart(table(cervejas), main = "Tipos de Cerveja consumidas")

#Qual tem maior razo dado/tinta?
#O poder de descrio dos dois grficos  igual, mas dotplot usa menos tinta.
#R: dotplot

##############################
#4.3 Caixetais
caixeta = read.table("caixeta.csv", header = TRUE, sep = ",", as.is = TRUE)

#Para calcular o DAP, na apostila online encontramos a linha de cdigo:
#cax$dap = (pi/4)* (cax$cap/10)
#Porm, como no consigo entender matematicamente, utilizarei a frmula que encontrei em mais de uma fonte na internet:

caixeta$dap <- caixeta$cap/pi

names(caixeta)

#Construa um histograma do dap dos fustes dos caixetais.
hist(caixeta$dap)
hist(caixeta$dap, main = "Chauas, Jureia e Retiro", xlab = "Diametro a altura do peito (DAP)", ylab = "Frequncia", col = "grey")
str(caixeta)

factor(caixeta$local)

#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
par(mfrow = c(2,2))
hist(caixeta$h, main = "Chauas, Jureia e Retiro", xlab = "Altura de Caixeta", ylab = "Frequncia", col = "grey")
hist(caixeta$h[which(caixeta$local == "chauas")], main = "Chauas", xlab = "Altura de Caixeta", ylab = "Frequncia", col = "grey")
hist(caixeta$h[which(caixeta$local == "jureia")], main = "Jureia", xlab = "Altura de Caixeta", ylab = "Frequncia", xlim = c(0, 250), col = "grey")
hist(caixeta$h[which(caixeta$local == "retiro")], main = "Retiro", xlab = "Altura de Caixeta", ylab = "Frequncia", xlim = c(0, 200), col = "grey")
par(mfrow = c(1,1))

#vamos tentar fazer tambem com o pacote lattice.
library(lattice)
histogram(~h|local,data=caixeta)

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#As distribuies so parecidas. 

#chauas tem uma observao(oes) bem discrepante(s), vamos ver quais so
caixeta[which(caixeta$h>200&caixeta$local == "chauas"), c(1, 6)]

############################

#4.4 Eucaliptos
#Neste exerccio, use o conjunto de dados Inventrio em Florestas Plantadas de Eucalyptus grandis.

egrandis = read.table("egrandis.csv", header = TRUE, sep = ";", as.is = TRUE)

#verificando como so meus dados
str(egrandis)
unique(egrandis$regiao)
unique(egrandis$rotacao)

#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).

boxplot(egrandis$dap~egrandis$rotacao+egrandis$regiao, names = c(paste(rep(c("Bofete", "Botucatu", "Itatinga", "Salto"), each = 2), c("1", "2"))))

#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
?qqnorm

qqnorm(egrandis$ht)
qqline(egrandis$ht)

#no parece normal. Nas extremidades se diferencia muito da linha terica.

#por curiosidade, vamos visualizar de outro jeito:
hist(egrandis$ht, prob = T, main = "", xlab = "Altura de E.grandis", ylab = "Frequencia", xlim = c(0, 50)) #parece normal
length(egrandis$ht) #tem muita observao, d pra aumentar os breaks pra vermos o padrao mais claramente

hist(egrandis$ht, breaks = 200, prob = T, main = "", xlab = "Altura de E.grandis", ylab = "Frequencia", xlim = c(0, 50), ylim = c(0, 0.1))
curve(expr = dnorm(x,mean=mean(egrandis$ht),sd=sd(egrandis$ht)),add=T, col="red")

#d pra ver que tem mesmo uma "cauda"

#############################

#4.5 Mais Caixetais

caixeta = read.table("caixeta.csv", header = TRUE, sep = ",", as.is = TRUE)

caixeta$dap <- caixeta$cap/pi

caixeta$R = caixeta$dap/2

caixeta$AB = (caixeta$R^2)*pi

tabebuia = subset(caixeta, caixeta$especie == "Tabebuia cassinoides")

tabchauas = subset(tabebuia, caixeta$local == "chauas")
tabretiro = subset(tabebuia, caixeta$local == "retiro")
tabjureia = subset(tabebuia, caixeta$local == "jureia")

ABtc =  aggregate(tabchauas$AB, by = list(arvore = tabchauas$arvore), FUN = sum)
htc = aggregate(tabchauas$h, by = list(arvore = tabchauas$arvore), FUN = mean)
f.chauas = merge(ABtc, htc, by = "arvore")
f.chauas$DAPt = 2*(sqrt(ABtc$x/pi))
names(f.chauas) = c("arvore", "ABtc", "htc", "DAPt")
plot(f.chauas$DAPt~f.chauas$htc, ylab = "DAP", xlab = "Altura", main = "Chauas")


ABtr =  aggregate(tabretiro$AB, by = list(arvore = tabretiro$arvore), FUN = sum)
htr = aggregate(tabretiro$h, by = list(arvore = tabretiro$arvore), FUN = mean)
f.retiro = merge(ABtr, htr, by = "arvore")
f.retiro$DAPt = 2*(sqrt(ABtr$x/pi))
names(f.retiro) = c("arvore", "ABtr", "htr", "DAPt")
plot(f.retiro$DAPt~f.retiro$htr, ylab = "DAP", xlab = "Altura", main = "Retiro")

ABtj =  aggregate(tabjureia$AB, by = list(arvore = tabjureia$arvore), FUN = sum)
htj = aggregate(tabjureia$h, by = list(arvore = tabjureia$arvore), FUN = mean)
f.jureia = merge(ABtj, htj, by = "arvore")
f.jureia$DAPt = 2*(sqrt(ABtj$x/pi))
names(f.jureia) = c("arvore", "ABtj", "htj", "DAPt")
plot(f.jureia$DAPt~f.jureia$htj, ylab = "DAP", xlab = "Altura", main = "Jureia")

#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth.
par(mfrow = c(2,2))
scatter.smooth(f.chauas$DAPt~f.chauas$htc, ylab = "DAP", xlab = "Altura", main = "Chauas")
scatter.smooth(f.retiro$DAPt~f.retiro$htr, ylab = "DAP", xlab = "Altura", main = "Retiro")
scatter.smooth(f.jureia$DAPt~f.jureia$htj, ylab = "DAP", xlab = "Altura", main = "Jureia")
par(mfrow = c(1,1))

#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides).

head(tabebuia)

A =  aggregate(tabebuia$AB, by = list(arvore = tabebuia$arvore, local = tabebuia$local), FUN = sum)
B = aggregate(tabebuia$h, by = list(arvore = tabebuia$arvore, local = tabebuia$local), FUN = mean)
f.todos = merge(A, B, by = c("arvore", "local"))
names(f.todos) = c("arvore", "local", "ABt", "ht")
f.todos$DAPt = 2*(sqrt(f.todos$ABt/pi))
                  
library(lattice)
xyplot(f.todos$DAPt~f.todos$ht|f.todos$local)
