#Exerccios 4 - Analises Explotatrias

##############################

#OBS: Esse exerccio est mais certo e melhor comentado que a verso anterior, mas foi postada aps o prazo final de entrega.

##############################

#4.2 Cervejas
#Uma amostra de 30 estudantes foi indagada sobre seu tipo de cerveja preferida, com o seguinte resultado

cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata") #importando dados

#Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
barplot(table(cervejas), main = "Tipos de Cerveja consumidas", ylim = c(0, 15)) #cria boxplot da tabela de contagem de cervejas
dotchart(table(cervejas), main = "Tipos de Cerveja consumidas") #cria um dotchart da tabela de contagem de cervejas

#Qual tem maior razo dado/tinta?
#O poder de descrio dos dois grficos  igual, mas dotplot usa menos tinta.
#R: dotplot

##############################
#4.3 Caixetais
caixeta = read.table("caixeta.csv", header = TRUE, sep = ",", as.is = TRUE) #importando dados

#Para calcular o DAP, na apostila online encontramos a linha de cdigo:
#cax$dap = (pi/4)* (cax$cap/10)
#Porm, como no consigo entender matematicamente, utilizarei a frmula que encontrei em mais de uma fonte na internet:

caixeta$dap <- caixeta$cap/pi #calculando dap

names(caixeta)

#Construa um histograma do dap dos fustes dos caixetais.
hist(caixeta$dap) #histograma de dap dos fustes
hist(caixeta$dap, main = "Chauas, Jureia e Retiro", xlab = "Diametro a altura do peito (DAP)", ylab = "Frequncia", col = "grey") #colocando tlulo e legenda dos eixos
str(caixeta)

factor(caixeta$local) #transforma local em fator

#Construa histogramas da altura das rvores para os diferentes caixetais ('local').
par(mfrow = c(2,2)) #divide dispositivo grfico
hist(caixeta$h, main = "Chauas, Jureia e Retiro", xlab = "Altura de Caixeta", ylab = "Frequncia", col = "grey") #repete histograma de cima, mudando a cor
#histograma de hist s com as linhas de caixeta$local = ao local especfico
hist(caixeta$h[which(caixeta$local == "chauas")], main = "Chauas", xlab = "Altura de Caixeta", ylab = "Frequncia", col = "grey")
hist(caixeta$h[which(caixeta$local == "jureia")], main = "Jureia", xlab = "Altura de Caixeta", ylab = "Frequncia", xlim = c(0, 250), col = "grey")
hist(caixeta$h[which(caixeta$local == "retiro")], main = "Retiro", xlab = "Altura de Caixeta", ylab = "Frequncia", xlim = c(0, 200), col = "grey")
par(mfrow = c(1,1))

#vamos tentar fazer tambem com o pacote lattice.
library(lattice) #abre o pacote
histogram(~h|local,data=caixeta) #histograma de h por local

#H diferenas entre as estruturas (distribuio de tamanhos) dos caixetais?
#As distribuies so parecidas. 

#chauas tem uma observao(oes) bem discrepante(s), vamos ver quais so
caixeta[which(caixeta$h>200&caixeta$local == "chauas"), c(1, 6)] #quais caixetas de chauas so maiores que 200, coluna 1 e 6

############################

#4.4 Eucaliptos
#Neste exerccio, use o conjunto de dados Inventrio em Florestas Plantadas de Eucalyptus grandis.

egrandis = read.table("egrandis.csv", header = TRUE, sep = ";", as.is = TRUE) #importando dados

#verificando como so meus dados
str(egrandis)
unique(egrandis$regiao)
unique(egrandis$rotacao)

#Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio (regiao) e rotao (rotacao).

boxplot(egrandis$dap~egrandis$rotacao+egrandis$regiao, names = c(paste(rep(c("Bofete", "Botucatu", "Itatinga", "Salto"), each = 2), c("1", "2"))), las = 2) #faz boxplot de dap em funo de regio e rotao, com os labbels descritos

#Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
?qqnorm

qqnorm(egrandis$ht) #plota como meus quartis esto distribuidos em relao aos tericos
qqline(egrandis$ht) #desenha a linha dos quartis tericos

#no parece normal. Nas extremidades se diferencia muito da linha terica.

#por curiosidade, vamos visualizar de outro jeito:
hist(egrandis$ht, prob = T, main = "", xlab = "Altura de E.grandis", ylab = "Frequencia", xlim = c(0, 50)) #faz histograma da prob da altura mudando legendas, ttulo e limite do x
#parece normal
length(egrandis$ht) #comprimento do vetor
#tem muita observao, d pra aumentar os breaks pra vermos o padrao mais claramente

hist(egrandis$ht, breaks = 200, prob = T, main = "", xlab = "Altura de E.grandis", ylab = "Frequencia", xlim = c(0, 50), ylim = c(0, 0.1)) #mudando tbm os breaks e limite de y
curve(expr = dnorm(x,mean=mean(egrandis$ht),sd=sd(egrandis$ht)),add=T, col="red") #adicionando a curva normal terica.

#d pra ver que tem mesmo uma "cauda"

#############################

#4.5 Mais Caixetais

caixeta = read.table("caixeta.csv", header = TRUE, sep = ",", as.is = TRUE) #importa dados

caixeta$dap <- caixeta$cap/pi #calcula DAP

caixeta$R = caixeta$dap/2 #calcula R

caixeta$AB = (caixeta$R^2)*pi #rea basal de cada fuste

tabebuia = subset(caixeta, caixeta$especie == "Tabebuia cassinoides") #retira somente as caixetas do dataframe

#faz um dataframe por local
tabchauas = subset(tabebuia, tabebuia$local == "chauas")
tabretiro = subset(tabebuia, tabebuia$local == "retiro")
tabjureia = subset(tabebuia, tabebuia$local == "jureia")

ABtc =  aggregate(tabchauas$AB, by = list(arvore = tabchauas$arvore), FUN = sum) #soma rea basal de cada rvore
htc = aggregate(tabchauas$h, by = list(arvore = tabchauas$arvore), FUN = mean) #faz a mdia da altura de cada fuste (por rvore)
f.chauas = merge(ABtc, htc, by = "arvore") #une as duas tabelas anteriores
f.chauas$DAPt = 2*(sqrt(ABtc$x/pi)) #calcula DAP pra rvore toda
names(f.chauas) = c("arvore", "ABtc", "htc", "DAPt") #troca os nomes do dataframe
plot(f.chauas$DAPt~f.chauas$htc, ylab = "DAP", xlab = "Altura", main = "Chauas") #plota DAP em funo da Altura


ABtr =  aggregate(tabretiro$AB, by = list(arvore = tabretiro$arvore), FUN = sum) #soma rea basal de cada rvore
htr = aggregate(tabretiro$h, by = list(arvore = tabretiro$arvore), FUN = mean)  #faz a mdia da altura de cada fuste (por rvore)
f.retiro = merge(ABtr, htr, by = "arvore")  #une as duas tabelas anteriores
f.retiro$DAPt = 2*(sqrt(ABtr$x/pi)) #calcula DAP pra rvore toda
names(f.retiro) = c("arvore", "ABtr", "htr", "DAPt") #troca os nomes do dataframe
plot(f.retiro$DAPt~f.retiro$htr, ylab = "DAP", xlab = "Altura", main = "Retiro") #plota DAP em funo da Altura

ABtj =  aggregate(tabjureia$AB, by = list(arvore = tabjureia$arvore), FUN = sum) #soma rea basal de cada rvore
htj = aggregate(tabjureia$h, by = list(arvore = tabjureia$arvore), FUN = mean) #faz a mdia da altura de cada fuste (por rvore)
f.jureia = merge(ABtj, htj, by = "arvore")  #une as duas tabelas anteriores
f.jureia$DAPt = 2*(sqrt(ABtj$x/pi)) #calcula DAP pra rvore toda
names(f.jureia) = c("arvore", "ABtj", "htj", "DAPt") #troca os nomes do dataframe
plot(f.jureia$DAPt~f.jureia$htj, ylab = "DAP", xlab = "Altura", main = "Jureia") #plota DAP em funo da Altura

#Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth.
par(mfrow = c(2,2)) #divide dispositivo grfico
#plota DAP em funo de ht, fazendo a linha de tendncia
scatter.smooth(f.chauas$DAPt~f.chauas$htc, ylab = "DAP", xlab = "Altura", main = "Chauas")
scatter.smooth(f.retiro$DAPt~f.retiro$htr, ylab = "DAP", xlab = "Altura", main = "Retiro")
scatter.smooth(f.jureia$DAPt~f.jureia$htj, ylab = "DAP", xlab = "Altura", main = "Jureia")
par(mfrow = c(1,1))

#Utilizando o pacote lattice, analise a relao dap-altura ('dap' e 'h') em funo do caixetal (local), mas somente para as rvores 3) de caixeta (Tabebuia cassinoides).

head(tabebuia)

A =  aggregate(tabebuia$AB, by = list(arvore = tabebuia$arvore, local = tabebuia$local), FUN = sum)  #soma rea basal de cada rvore por local
B = aggregate(tabebuia$h, by = list(arvore = tabebuia$arvore, local = tabebuia$local), FUN = mean) #faz a mdia da altura de cada fuste (por rvore e local)
f.todos = merge(A, B, by = c("arvore", "local"))  #une as duas tabelas anteriores
names(f.todos) = c("arvore", "local", "ABt", "ht") #troca os nomes do dataframe
f.todos$DAPt = 2*(sqrt(f.todos$ABt/pi)) #calcula DAP pra rvore toda
                  
library(lattice)
xyplot(f.todos$DAPt~f.todos$ht|f.todos$local) #plota DAP em funo de ht, por local
