#Exerccios 5 - Criao de Grficos

esa = read.table("esaligna.csv", sep = ",", header = TRUE) #importando os dados

str(esa)

#################################
# 5.1 Editando alguns parmetros grficos

# Crie um grfico de disperso entre "dap" e "ht" com:

#   Legendas dos eixos com nomes das variveis e suas unidades
# Marcaes do eixos (ticks) para dentro da rea do grfico
# Apenas dois eixos (formato "L")
# Ttulo informativo
# Tamanho das fontes maiores que o padro

plot(esa$ht~esa$dap, #plota ht em funo de dap
     xlab = "Dimetros  altura do peito (cm)", ylab = "Altura (m)", #define nome dos eixos
     bty="l", #define tipo de box "L"
     main = "Eucalyptus saligna", #define nome do titulo
     cex.axis = 1.2, cex.lab = 1.2, cex.main = 1.5, #define tamanho dos eixos, das legendas e do ttulo
     tcl = 0.3) #tickmarks tamanho 0.3, para dentro

###############################
# 5.2 Dois grficos juntos
# Use as variveis "dap" e "talhao" para construir dois grficos, colocando-os lado a lado. O primeiro deve ser um grfico de desenho de caixa (boxplot) da varivel "dap" em funo do fator "talho". O segundo deve ter apenas a mdia e uma barra de desvio-padro do dap, para cada talho.
# Insira tambm uma letra para dizer qual  o grfico "a" e qual  o "b" (tanto faz, quem  um e quem  outro).
# Dica: vocs tero que calcular a mdia e os desvios-padro do dap das rvores em cada talho. Depois crie uma matriz com estes valores e crie o plot destes valores.

par(mfrow = c(1,2)) #dividir o dispositivo grafico
boxplot(esa$dap~esa$talhao, ylab = "Dimetro a altura do peito (DAP)(cm)") #boxplot dap em funo de talhao
text(1, 21.5, "a", cex = 1.2) #adciona texto "a"

media = aggregate(esa$dap, by = list(talhao = esa$talhao), FUN = mean) #calcula a mdia por talhao
desvio = aggregate(esa$dap, by = list(talhao = esa$talhao), FUN = sd) #calcula o desvio por talhao

mediasd = merge(media, desvio, by = "talhao") #mescla media e desvio, agrupando por talhao
names(mediasd) = c("talhao", "media", "sd") #muda os nomes de mediasd

plot(mediasd$media, #plota as medias por talhao
     xlim = c(0.5, 6.5), ylim = c(5, 25), #define limite dos eixos
     xlab= "", ylab = "", #define nome dos eixos
     xaxt = "n") #no plota eixo x
axis(1, at = 1:6, labels = mediasd$talhao) #define eixo x com labbels por talhao

#calculando maximos e mnimos das barras de erro
y0 = mediasd$media-mediasd$sd
y1 = mediasd$media+mediasd$sd
#localizao x das barras
x = 1:6

segments(x0 = x, y0 = y0, y1 = y1) #cria barras de erro
points(x, y1, pch = "-", cex = 1.5) #cria "tracinho" que demarcam o fim das barras
points(x, y0, pch = "-", cex = 1.5) #idem
text(1.5, 23, "b", cex = 1.2)

par(mfrow = c(1,1)) #volta o dispositivo grafico para uma janela sem diviso

# ############################
# 5.3 Adivinhando o cdigo
# Leia os dados deste arquivo e usando as variveis "x1" e "y1" e "x2" e "y2" tente reproduzir esta figura:

#http://ecologia.ib.usp.br/bie5782/lib/exe/fetch.php?w=550&tok=99cc5c&media=bie5782:01_curso2009:material:exercicio3.jpeg

adv = read.table("exercicio5_3.csv", header = TRUE, sep = ",") #importando dados

jpeg(filename = "5_3_jennifer.jpg", width = 550, height = 300) #ativa dispositivo jpeg
par(mfrow = c(1,2), family = "serif") #muda a fonte e divide o dispositivo
plot(adv$x1~adv$y1, #plota x1 em funo de y1
     pch=17, #ponto do tipo 17 (triangulo)
     xlim = c(0.5, 2.5), ylim = c(0, 3), #define limites dos eixos
     bty = "l", #tipo de box L
     tcl = 0.3, #tickmarks tamanho 0.3 para dentro
     xlab = "Log(Patch size)(ha)", ylab = "", #define nome dos eixos
     cex = 1.3) #tamanho do ponto
text(2.5, 3, "a", cex = 1.2) #adciona texto "a"
modelo = lm(adv$x1~adv$y1) #cria o modelo linear x1~y1
abline(modelo, lwd = 3) #cria reta do modelo
mtext("Euclidean distances", side = 2, line = 2.2, cex = 1.5) #legenda de x

# extraindo o outlier
# locator(1)
# # $x
# # [1] 5.024726
# # 
# # $y
# # [1] 1.726068
# 
# adv[which(adv$x2 < 1.73&adv$x2 > 1.72), "x2"]
# 
# which(adv$x2 < 1.73&adv$x2 > 1.72)
# adv[27,]
adv[27,c("y1", "y2")] = NA

par(bty = "l", tcl = 0.3, mar = c(5, 1, 4, 2)) #define tipo de box, tickmarks e tamanho das margens.
boxplot(adv$x2~adv$y2, #boxplot de x2 em funo de y2
        ylim = c(0,3), #define limites de y
        names = rep(" ", 6)) #define nome dos labbels, no caso " "
mtext(c("Small", "Medium\nEdge", "Medium\nInterior", "Large\nEdge", "Large\nInterior", "Control"), 1, cex = 0.8, at = c(1:6), line = c(1, rep(1.3, 4), 1)) #adiciona legendas de x

#adiciona texto "*", "**" e "***"
text(c(1, 2,4), 3, "*", cex = 2)
text(c(3), 3, "**", cex = 2)
text(c(5), 3, "***", cex = 2)
text(6.5, 3, "b", cex = 1.2)
dev.off() #fecha o dispositivo ativo (jpeg) e salva o grfico.
